Add select options ("all" and "none") on the Web GUI for bulk operations

09/23/2010 04:13 PM - Marcello de Sousa
Category: Web Interface   

Target version:    
Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When importing or destroying classes (and maybe other "bulk" operations) in the Web GUI, you have to select item by item now.

Would be nice to always have checkboxes + "select all" / "select none" options to make this bulk operations easier.

History

#1 - 10/03/2010 01:47 PM - Ohad Levy

- Target version deleted (0.1-6)

#2 - 11/09/2010 09:13 AM - Ohad Levy

- Category set to Web Interface

- Assignee set to Paul Kelly

- Target version set to 0.2

#3 - 01/22/2011 05:48 AM - Paul Kelly

Maybe I am missing something but is this feature not already available with the "Toggle All" link at the top right of the list?

#4 - 01/22/2011 05:49 AM - Paul Kelly

- Status changed from New to Feedback

#5 - 01/23/2011 02:42 AM - Marcello de Sousa

I'm running 0.1-7-rc1 and I only see that in the "hosts" screen.

It would be nice if the Web GUI would always have this options when manipulating "lists" (Specially where I've mentioned in this issue's description

:"When importing or destroying classes...", but could also be handy manipulating: domains, architectures, environments, partitions, etc etc etc)

#6 - 01/25/2011 05:29 AM - Marcello de Sousa

I've been trying to regularly import ONLY the classes that I want to use in foreman to avoid cluttering the interface and it's quite frustrating to have to

de-select all the unwanted classes everytime I need a new class.

#7 - 02/10/2011 05:09 AM - Ohad Levy

- Target version deleted (0.2)

We are working on a redesign of the UI, we'll try to add those bulk operations within that process.

not sure if it will make it to to 0.1-7...

#8 - 03/28/2011 10:26 AM - Marcello de Sousa

Any "version" plans for this ?

By the way, I've notice the interface is not able to sort HOSTGROUPS.

I thought it was related to this feature in the way that the GUI should be "consistent" in all pages.

In other words, in all pages you should have similar features (sort per column, select all/none, etc)
#9 - 09/15/2011 11:28 AM - Marcello de Sousa

It looks like it only works at the HOSTS screen. But in other screen you also have possible actions with multiple items (such as Puppet Classes,

Reports, Architectures, and many others).

Is it possible to make it uniform and use the same interface in all screens  ?

#10 - 12/06/2012 10:48 AM - Benjamin Papillon

- Status changed from Feedback to New

- Assignee changed from Paul Kelly to Amos Benari

I transfer the ticket to Amos

#11 - 08/20/2014 03:13 AM - Ohad Levy

- Assignee deleted (Amos Benari)
